Ticket #4355 (closed defect: fixed)

Opened 7 years ago

Last modified 7 years ago

日記カテゴリが重複して登録される不具合

Reported by: shingo Assigned to: shingo
Priority: minor Milestone: OpenPNE2.14.3
Component: 指定しない Version: 2.12.x & 2.14.x
Keywords: OpenPNE2.12.16 Cc:

Description (Last modified by imamura623)

■現象

日記カテゴリが重複して登録されることがある

■原因

c_diary_category のINDEX「category_name_c_member_id」が何らかの理由で壊れていた場合、このINDEXを使用してSELECTした場合、結果が返ってこない。
そのため、登録・編集時に行っているカテゴリ名の重複チェックで未登録と判定され、重複したカテゴリ名が新規に登録されてしまう。

■修正内容

重複確認処理をINDEXの「category_name_c_member_id」を使わない方法に変更

Change History

10/27/09 16:22:03 changed by shingo

  • owner changed from nobody to shingo.
  • status changed from new to assigned.

作業します。

10/27/09 16:29:17 changed by shingo

以下のリビジョンで修正しました

10/27/09 16:42:54 changed by kiwa

  • keywords changed from 2.12 確認中 to OpenPNE2.12.16 確認中.

10/28/09 16:15:39 changed by shingo

確認画面より重複するデータを投稿できてしまう不具合を修正しました

11/19/09 11:35:14 changed by ogawa

  • keywords changed from OpenPNE2.12.16 確認中 to OpenPNE2.12.16 テスト待ち.

修正確認しました。

11/19/09 11:45:47 changed by imamura623

  • keywords changed from OpenPNE2.12.16 テスト待ち to OpenPNE2.12.16.
  • status changed from assigned to closed.
  • resolution set to fixed.
  • description changed.

動作テスト済みです。正常に動作することを確認しました。

11/19/09 11:56:14 changed by imamura623

  • description changed.